"""Do analysis for simple expressions"""

import re

from FileLineAnalyzer import FileLineAnalyzer

class SimpleLineAnalyzer(FileLineAnalyzer):
    """Parses lines for an arbitrary regular expression

    Differs from RegExpLineAnalyzer because it doesn't store its data"""

    def __init__(self,name,exp,idNr=None,titles=[]):
        """ name - name of the expression (needed for output
        exp - the regular expression
        idNr - number of the pattern group that is used as an identifier"""
        FileLineAnalyzer.__init__(self,titles=titles)

        self.name=name
        self.idNr=idNr
        
        self.strExp=exp
        self.exp=re.compile(self.strExp)
        
    def doAnalysis(self,line):
        """Analyzes line and writes the data"""
        tm=self.parent.getTime()
        if tm=="":
            return
        m=self.exp.match(line)
        if m!=None:
            name=self.name
            fdata=m.groups()
            if self.idNr!=None:
                ID=m.group(self.idNr)
                name+="_"+ID
                fdata=fdata[:self.idNr-1]+fdata[self.idNr:]
                
            self.files.write(name,tm,fdata)
