#! /usr/bin/python -u

# Plots the residuals generated by the tools
# - pyFoamStandardLogAnalyzer.py
# - pyFoamSteadyRunner.py
# - pyFoamRunner.py
# The argument should be the directory with the result files (usually PyFoamSolve.analyzed)

try:
    import Gnuplot
except ImportError,e:
    print "Gnuplot module missing. Can't plot"
    sys.exit(-1)
    
import sys,os
from os import path

from PyFoam.Basics.Helpers import getLinearNames

if len(sys.argv)<2:
    print "Name of data directory missing"
    sys.exit(-1)
    
data=sys.argv[1]
dDir=path.basename(data)

names=getLinearNames(data)

if sys.stdout.isatty():
    g=Gnuplot.Gnuplot(persist=1)
else:
    g=Gnuplot.Gnuplot()
    

plots=[]

for n in names:
    plots.append(Gnuplot.File(path.join(data,"linear_"+n),using="1:2",with='steps',title=n))

g.set_string("logscale y")
g.title("Residuals")

apply(g.plot,plots)

if not sys.stdout.isatty():
    tmpfile="/tmp/Gnuplot_temp.ps"
    Gnuplot.GnuplotOpts.default_lpr=" "+tmpfile
    g.hardcopy()
    f=open(tmpfile,"r")
    sys.stdout.write(f.read())
    f.close()
    os.remove(tmpfile)
