#! /usr/bin/python -u

# runs an OpenFoam steady solver
# needs the usual 3 arguments (<solver> <directory> <case>) and passes them on (plus additional arguments)
# Output is sent to stdout and a logfile inside the case directory (PyFoamSolver.logfile)
# The Directory PyFoamSolver.analyzed contains this information
# - Residuals and other information of the linear solvers
# - Execution time
# - continuity information
# - bounding of variables
#
# if the solver has converged (linear solvers below threshold) it is stopped and the last simulation state is written to disk

import sys,string

if len(sys.argv)<4:
    print "To few arguments to start an OpenFOAM solver (at least 3)"
    sys.exit(-1)
    
from PyFoam.Execution.ConvergenceRunner import ConvergenceRunner
from PyFoam.LogAnalysis.BoundingLogAnalyzer import BoundingLogAnalyzer

run=ConvergenceRunner(BoundingLogAnalyzer())

run.start()
